Bug 16192 - sndconfig distorted w/ ESS Maestro 2E
Summary: sndconfig distorted w/ ESS Maestro 2E
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sndconfig   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-14 21:07 UTC by Dan Taylor
Modified: 2014-03-17 02:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-15 14:07:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dan Taylor 2000-08-14 21:07:43 UTC
Dell Latitude CSx H
w/ ESS Maestro 2E chip

When sndconfig is run, & the sample plays, it sounds very distorted.  
However the same sample played from command line is fine (as are other 
sounds). lsmod output is the same before & after a sndconfig (see below).

lsmod output:
Module                  Size  Used by
nls_cp437               3876   2  (autoclean)
vfat                    9404   1  (autoclean)
fat                    30688   1  (autoclean) [vfat]
ds                      6280   2 
i82365                 21668   2 
pcmcia_core            44160   0  [ds i82365]
autofs                  9124   2  (autoclean)
lockd                  31176   1  (autoclean)
sunrpc                 52964   1  (autoclean) [lockd]
agpgart                18600   0  (unused)
maestro                26820   0 
soundcore               2596   2  [maestro]
usb-uhci               19052   0  (unused)
usbcore                42088   1  [usb-uhci]

modules.conf:
alias parport_lowlevel parport_pc
alias usb-controller usb-uhci
alias sound-slot-0 maestro

Comment 1 Bill Nottingham 2000-08-14 21:18:23 UTC
Distorted in what way?

Also, how are you playing it from the commandline later
where it works?

Comment 2 Dan Taylor 2000-08-15 14:07:30 UTC
It is distorted in that it sounds more like someone playing a heavy metal 
guitar as opposed to someone speaking :).  Very, very scratchy & distorted.

[root@localhost sndconfig]# play sample.au


Comment 3 Bill Nottingham 2000-08-15 15:36:24 UTC
Aha, we need to use sox in sndconfig as opposed to just throwing
the data at /dev/audio.

Fixed in CVS, will be in sndconfig-0.56-1.


Note You need to log in before you can comment on or make changes to this bug.